package com.repair.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/7 星期五 15:14
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum ePayStatu {
    //未支付/等待支付：1；支付成功：2；支付失败：3
    Unpaid(1),//未支付/等待支付
    Paysuccess(2),//支付成功
    Paymentfailed(3);//支付失败


    private int value;

    ePayStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static ePayStatu valueOf(int value) {
        switch (value) {
            case 1:
                return ePayStatu.Unpaid;
            case 2:
                return ePayStatu.Paysuccess;
            case 3:
                return ePayStatu.Paymentfailed;
            default:
                return null;
        }
    }
}
